Debian Bug report logs - #617790
live-config: fails to purge

version graph

Package: live-config; Maintainer for live-config is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-config is src:live-config.

Reported by: Holger Levsen <holger@layer-acht.org>

Date: Fri, 11 Mar 2011 12:39:01 UTC

Severity: important

Found in version live-config/3.0~a16-1

Fixed in version live-config/3.0~a17-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#617790; Package live-config. (Fri, 11 Mar 2011 12:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 11 Mar 2011 12:39:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: submit@bugs.debian.org
Subject: live-config: fails to purge
Date: Fri, 11 Mar 2011 13:35:39 +0100
[Message part 1 (text/plain, inline)]
Package: live-config
Version: 3.0~a16-1
Severity: important
User: debian-qa@lists.debian.org
Usertags: piuparts piuparts.d.o

Hi, 

during a test with piuparts I noticed your package failed to purge. 

From the attached log (scroll to the bottom...):

0m15.3s DEBUG: Starting command: 
['chroot', '/org/piuparts.debian.org/tmp/tmpdC7Y1R', 'dpkg', '--purge', 'live-config']
0m15.3s DUMP: 
  (Reading database ... 6162 files and directories currently installed.)
  Removing live-config ...
  Purging configuration files for live-config ...
  rmdir: failed to remove `/var/lib/live': No such file or directory
  dpkg: error processing live-config (--purge):
   subprocess installed post-removal script returned error exit status 1
  Errors were encountered while processing:
   live-config


cheers,
	Holger
[live-config_3.0~a16-1.log (text/x-log, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#617790; Package live-config. (Fri, 11 Mar 2011 12:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 11 Mar 2011 12:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 617790@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Holger Levsen <holger@layer-acht.org>
Cc: 617790@bugs.debian.org
Subject: Re: Bug#617790: live-config: fails to purge
Date: Fri, 11 Mar 2011 13:43:10 +0100
tag 617790 pending
thanks

On 03/11/2011 01:35 PM, Holger Levsen wrote:
> during a test with piuparts I noticed your package failed to purge. 

fixed in git.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 11 Mar 2011 12:45:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#617790; Package live-config. (Fri, 11 Mar 2011 14:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 11 Mar 2011 14:12:06 GMT) Full text and rfc822 format available.

Message #17 received at 617790@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 617790@bugs.debian.org
Subject: Re: Bug#617790: live-config: fails to purge
Date: Fri, 11 Mar 2011 15:09:38 +0100
[Message part 1 (text/plain, inline)]
On Freitag, 11. März 2011, Daniel Baumann wrote:
> fixed in git.

thanks! 


cheers,
	Holger

[signature.asc (application/pgp-signature, inline)]

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Fri, 11 Mar 2011 16:39:05 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Fri, 11 Mar 2011 16:39:05 GMT) Full text and rfc822 format available.

Message #22 received at 617790-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 617790-close@bugs.debian.org
Subject: Bug#617790: fixed in live-config 3.0~a17-1
Date: Fri, 11 Mar 2011 16:34:47 +0000
Source: live-config
Source-Version: 3.0~a17-1

We believe that the bug you reported is fixed in the latest version of
live-config, which is due to be installed in the Debian FTP archive:

live-config-runit_3.0~a17-1_all.deb
  to main/l/live-config/live-config-runit_3.0~a17-1_all.deb
live-config-systemd_3.0~a17-1_all.deb
  to main/l/live-config/live-config-systemd_3.0~a17-1_all.deb
live-config-sysvinit_3.0~a17-1_all.deb
  to main/l/live-config/live-config-sysvinit_3.0~a17-1_all.deb
live-config-upstart_3.0~a17-1_all.deb
  to main/l/live-config/live-config-upstart_3.0~a17-1_all.deb
live-config_3.0~a17-1.debian.tar.gz
  to main/l/live-config/live-config_3.0~a17-1.debian.tar.gz
live-config_3.0~a17-1.dsc
  to main/l/live-config/live-config_3.0~a17-1.dsc
live-config_3.0~a17-1_all.deb
  to main/l/live-config/live-config_3.0~a17-1_all.deb
live-config_3.0~a17.orig.tar.gz
  to main/l/live-config/live-config_3.0~a17.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 617790@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 11 Mar 2011 17:11:35 +0100
Source: live-config
Binary: live-config live-config-runit live-config-systemd live-config-sysvinit live-config-upstart
Architecture: source all
Version: 3.0~a17-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-config - Debian Live - System Configuration Scripts
 live-config-runit - Debian Live - System Configuration Scripts (runit backend)
 live-config-systemd - Debian Live - System Configuration Scripts (systemd backend)
 live-config-sysvinit - Debian Live - System Configuration Scripts (sysvinit backend)
 live-config-upstart - Debian Live - System Configuration Scripts (upstart backend)
Closes: 617790
Changes: 
 live-config (3.0~a17-1) unstable; urgency=low
 .
   * Adding old 2.x changelog entries in debian changelog.
   * Silencing and protecting rmdir call for temporary files in live-
     config postrm (Closes: #617790).
Checksums-Sha1: 
 aaee118df6aba5d9e8deca508b0e75432a6deb17 1358 live-config_3.0~a17-1.dsc
 ac7ffd0636277014b5a604e4f6a2ae78061491fc 100379 live-config_3.0~a17.orig.tar.gz
 e3698be49a81e6c387527c1d9dcf81153ad5fb18 8527 live-config_3.0~a17-1.debian.tar.gz
 9bbebec0b898dece35c9ee889d171e524aa21c64 42208 live-config_3.0~a17-1_all.deb
 095117045013a2c697ca483945d6d1dea852d962 8126 live-config-runit_3.0~a17-1_all.deb
 7d21041c829f7b0191b625cec593775fdaea1517 7856 live-config-systemd_3.0~a17-1_all.deb
 7ee2de2de93b7dc9eb4ba0282153b7e37b846ea4 8948 live-config-sysvinit_3.0~a17-1_all.deb
 20d3dbcd61d00b3d2b199730972c0345ffb12d78 8784 live-config-upstart_3.0~a17-1_all.deb
Checksums-Sha256: 
 688141412ce2cd0f1e4e3caf27557c5670dc2ee5896cc713576f3afe31747e76 1358 live-config_3.0~a17-1.dsc
 cdafe8c52bc545343babcfc19acc638f0ec5b2b460c43e5360b1a55a017a34bd 100379 live-config_3.0~a17.orig.tar.gz
 bc6d11d19868d703a966ba116c6ecbe1dd6070c50bb4b16fd78cc7a75684eae9 8527 live-config_3.0~a17-1.debian.tar.gz
 3490ab4fe3efb7673e592a5448431b0a4ad59f1a0ee2df5d0f0a0bf4d04ffe67 42208 live-config_3.0~a17-1_all.deb
 87a5a347eb0d1e0f0b7546e087f74642f23db14f1d6e6feb31d155a4b5ca189f 8126 live-config-runit_3.0~a17-1_all.deb
 f1648131c61a2a11002ee3a895c531c6937a33da807a8628238f7f7877b58471 7856 live-config-systemd_3.0~a17-1_all.deb
 67255ac49a34911d7642fa6c188c4c677a46cff45522bac54db50e69d1fb71d7 8948 live-config-sysvinit_3.0~a17-1_all.deb
 dddf68ee48085a497c9215173813c104e4cea82c3787d20fbf11ff573870567c 8784 live-config-upstart_3.0~a17-1_all.deb
Files: 
 a76539ba6a4088b6c0a74990b87c0b13 1358 misc optional live-config_3.0~a17-1.dsc
 0d2fd136ed44d00ea194a930d3b938f0 100379 misc optional live-config_3.0~a17.orig.tar.gz
 11e91204512648ae0ae57c8c339b8537 8527 misc optional live-config_3.0~a17-1.debian.tar.gz
 f337323fd7cd0ed41d831f55f3c6b6e1 42208 misc optional live-config_3.0~a17-1_all.deb
 64d4d972c0ea6fb6fab9028c93f1fb68 8126 misc optional live-config-runit_3.0~a17-1_all.deb
 313b1f99b7a3c7374ee989a4e5a84bfd 7856 misc optional live-config-systemd_3.0~a17-1_all.deb
 437a0066f618c26047e079f98cc53494 8948 misc optional live-config-sysvinit_3.0~a17-1_all.deb
 637a96c73d79b94633f80babfc235311 8784 misc optional live-config-upstart_3.0~a17-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk16SqYACgkQ+C5cwEsrK558owCfWKBKPmrkwEermaOOwIJHO9A6
ib8An34J7I2tcxa3ToLA8YGCfPXMAutn
=GYRm
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Apr 2011 07:44:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:50:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.